Provide the ability for the user to define the analyzer configuration file

06/03/2004 10:09 AM - Yoann VANDOORSELAERE

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: fixed   

Description

Currently each analyzer hardcode access to it's own configuration file. We need to add a 'config-file' command line option, overriding

default hardcoded analyzer configuration file.

In combination with ticket #12, this will allow to have several analyzer instance running with their own independant configuration.

History

#1 - 06/03/2004 02:12 PM - 

This (and #12 as well) has been already been implemented manually in the Snort sensor (I was told that people do run multiple Snort instances) by

letting the user specify values passed to prelude_sensor_init(), hence this possibility should not be removed. Additionally  libprelude cannot parse

Snort's command line directly so care should be taken with including any functionality requiring access to the command line.

#2 - 06/03/2004 02:19 PM - Yoann VANDOORSELAERE

The workaround you are describing here is a common workaround which work well for sensor not depending uppon prelude-getopt. The point of this

ticket is to make the functionnality available to anyone who want to use it (things won't be broken for sensors not using prelude-getopt).

#3 - 06/06/2004 11:51 PM - Yoann VANDOORSELAERE

- Status changed from New to Assigned

#4 - 06/11/2004 12:21 AM - Yoann VANDOORSELAERE

- Status changed from Assigned to Closed

- Resolution set to fixed

Fixed in r3717

#5 - 04/29/2009 12:26 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Libprelude

- Category deleted (1)
